%define upstream_name Horde_Injector
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 2
Summary:    	Horde dependency injection container
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Exception <= 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Injector = %{version}

%description
A depedency injection container for Horde.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Injector.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Injector.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Injector
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Injector/*
%{peardir}/Horde/Injector.php
%{peardir}/Horde/Injector/Binder.php
%{peardir}/Horde/Injector/Binder/AnnotatedSetters.php
%{peardir}/Horde/Injector/Binder/Closure.php
%{peardir}/Horde/Injector/Binder/Factory.php
%{peardir}/Horde/Injector/Binder/Implementation.php
%{peardir}/Horde/Injector/DependencyFinder.php
%{peardir}/Horde/Injector/Exception.php
%{peardir}/Horde/Injector/Scope.php
%{peardir}/Horde/Injector/TopLevel.php
%{peardir}/tests/Horde_Injector/Horde/Injector/AllTests.php
%{peardir}/tests/Horde_Injector/Horde/Injector/Binder/AnnotatedSettersTest.php
%{peardir}/tests/Horde_Injector/Horde/Injector/Binder/ClosureTest.php
%{peardir}/tests/Horde_Injector/Horde/Injector/Binder/FactoryTest.php
%{peardir}/tests/Horde_Injector/Horde/Injector/Binder/ImplementationTest.php
%{peardir}/tests/Horde_Injector/Horde/Injector/BinderTest.php
%{peardir}/tests/Horde_Injector/Horde/Injector/InjectorTest.php
%{peardir}/tests/Horde_Injector/Horde/Injector/phpunit.xml
%{xmldir}/Horde_Injector.xml


%changelog

* Sat Dec 31 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 189371
- corrected wrong provides php-pear-Horde_Argv with php-pear-Horde_Injector = %%{version}
  deleted wrong  obsoletes horde-argv

* Mon Nov 28 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 173358
- upgrade to 1.0.1
- imported package php-pear-Horde_Injector

